#
# spec file for package pidgin-branding-openSUSE
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libpurple_version %(rpm -q --queryformat '%%{version}' libpurple)
Name:           pidgin-branding-openSUSE
Version:        42.2
Release:        lp152.3.2
Summary:        Multiprotocol Instant Messaging Client -- openSUSE Default Configuration
License:        BSD-3-Clause
Group:          Productivity/Networking/Instant Messenger
Url:            https://pidgin.im/
Source0:        %{name}-prefs.xml
Source1:        %{name}-COPYING
BuildRequires:  libpurple
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%else
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif

%description
Pidgin is a messaging application which lets you log in to accounts
on multiple chat networks simultaneously.

Pidgin is compatible with the following chat networks out of the
box: Jabber/XMPP, AIM, ICQ, Bonjour, Gadu-Gadu, IRC, SILC, SIMPLE,
Novell GroupWise Messenger, Lotus Sametime, MXit, MySpaceIM, and
Zephyr. It can support many more with plugins.

This package provides the openSUSE default configuration for Pidgin.

%package -n libpurple-branding-openSUSE
Summary:        GLib-based Instant Messenger Library -- openSUSE Default Configuration
Group:          System/Libraries
Requires:       libpurple = %{libpurple_version}
Supplements:    packageand(libpurple:branding-openSUSE)
Conflicts:      otherproviders(libpurple-branding)
Provides:       libpurple-branding = %{libpurple_version}
# pidgin-branding-openSUSE was last used in openSUSE 11.4.
Provides:       pidgin-branding-openSUSE = %{version}
Obsoletes:      pidgin-branding-openSUSE < %{version}

%description -n libpurple-branding-openSUSE
libpurple is a library intended to be used by programmers seeking
to write an IM client that connects to many IM networks.

libpurple is compatible with the following chat networks out of the
box: Jabber/XMPP, AIM, ICQ, Bonjour, Gadu-Gadu, IRC, SILC, SIMPLE,
Novell GroupWise Messenger, Lotus Sametime, MXit, MySpaceIM, and
Zephyr. It can support many more with plugins.

This package provides the openSUSE default configuration for libpurple.

%prep
%setup -q -T -c
cp -a %{SOURCE0} prefs.xml
cp -a %{SOURCE1} COPYING

%build
# Nothing to build.

%install
install -Dpm 0644 prefs.xml %{buildroot}%{_sysconfdir}/purple/prefs.xml

%files -n libpurple-branding-openSUSE
%defattr(-,root,root)
%doc COPYING
%config %{_sysconfdir}/purple/prefs.xml

%changelog
* Wed Dec  7 2016 sor.alexei@meowr.ru
- Bump version to 42.2.
- Spec cleanup.
- Don't provide pidgin-branding with libpurple-branding-openSUSE,
  but still provide pidgin-branding-openSUSE.
* Mon Oct 12 2015 zaitor@opensuse.org
- Bump version to 42.1, to prepare for next version of openSUSE.
* Sun Aug 24 2014 zaitor@opensuse.org
- Bump version to 13.2, to prepare for next version of openSUSE.
* Mon Sep  9 2013 zaitor@opensuse.org
- Bump version to 13.1, to prepare for next version of openSUSE.
* Wed May 23 2012 vuntz@opensuse.org
- Bump version to 12.2, to prepare for next version of openSUSE.
* Thu Oct 13 2011 vuntz@opensuse.org
- Remove %%{release} from the pidgin versioned Requires, to not have
  to rebuild this package each time pidgin rebuilds to keep it
  installable.
* Wed Jul  6 2011 vuntz@opensuse.org
- Bump version to 12.1.
- Update summary and description.
- Create a libpurple-branding-openSUSE subpackage, and do not build
  a pidgin-branding-openSUSE subpackage:
  + the configuration file is also important for other clients than
    pidgin, so we want to brand libpurple.
  + however, since there is also pidgin-related content in the same
    file, we also make libpurple-branding-openSUSE act as
    pidgin-branding-openSUSE (with Provides, Conflicts, Supplements
    that are usual for a branding package).
  + also add appropriate Provides/Obsoletes for
    pidgin-branding-openSUSE, for smooth upgrades.
- Add Url tag.
* Wed Feb  2 2011 vuntz@opensuse.org
- Bump version to 11.4.
- Provide the right version of pidgin-branding; add pidgin
  BuildRequires for this.
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Wed Aug 27 2008 vuntz@novell.com
- New package to change pidgin default configuration.
